#
# DRAWxtl V5.1 makefile using the Fast Light Tool Kit (FLTK).
#
# Copyright 2005 by Larry Finger, Martin Kroeker, and Brian Toby
#
# Make file for OpenVMS, contributed by Jouk Jansen

TARGET = [--.exe]DRAWxtl.exe

CXXFLAGS=/name=(as_is,short)/float=ieee

CPPFILES =\
	CrystalView.cxx \
	cursor.cxx \
	drawmap.cxx \
	DRAWxtl1.cxx \
	DRAWxtl2.cxx \
	DRAWxtl3.cxx \
	DRAWxtlViewUI.cxx \
	EditView.cxx \
	Edit1.cxx \
	Edit2.cxx \
	Ellipsoids.cxx \
	Flu_Combo_Box.cxx \
	Flu_Combo_List.cxx \
	Flu_Spinner.cxx \
	Generate_Drawing.cxx \
	gl2ps.cxx \
	Help.cxx \
	MC.cxx \
	mpVector.cxx \
	Read_Input.cxx \
	symmtry.cxx \
	Tb_Window.cxx

OBJFILES =\
	CrystalView.obj,\
	cursor.obj,\
	drawmap.obj,\
	DRAWxtl1.obj,\
	DRAWxtl2.obj,\
	DRAWxtl3.obj,\
	DRAWxtlViewUI.obj,\
	EditView.obj,\
	Edit1.obj,\
	Edit2.obj,\
	Ellipsoids.obj,\
	Flu_Combo_Box.obj,\
	Flu_Combo_List.obj,\
	Flu_Spinner.obj,\
	Generate_Drawing.obj,\
	gl2ps.obj,\
	Help.obj,\
	MC.obj,\
	mpVector.obj,\
	Read_Input.obj,\
	symmtry.obj,\
	Tb_Window.obj

all : $(TARGET)
    @ write sys$output "all-done" 

clean :
	delete *.obj;*
	del $(TARGET);*
# DRAWxtl 

$(TARGET) : $(OBJFILES) link_vms.opt
	cxxlink/exec=$(TARGET) $(OBJFILES),link_vms/opt

CrystalView.obj : CrystalView.cxx
cursor.obj : cursor.cxx
drawmap.obj : drawmap.cxx
DRAWxtl1.obj : DRAWxtl1.cxx
DRAWxtl2.obj : DRAWxtl2.cxx
DRAWxtl3.obj : DRAWxtl3.cxx
DRAWxtlViewUI.obj : DRAWxtlViewUI.cxx
EditView.obj : EditView.cxx
Edit1.obj : Edit1.cxx
Edit2.obj : Edit2.cxx
Ellipsoids.obj : Ellipsoids.cxx
Flu_Combo_Box.obj : Flu_Combo_Box.cxx
Flu_Combo_List.obj : Flu_Combo_List.cxx
Flu_Spinner.obj : Flu_Spinner.cxx
Generate_Drawing.obj : Generate_Drawing.cxx
gl2ps.obj : gl2ps.cxx
Help.obj : Help.cxx
MC.obj : MC.cxx
mpVector.obj : mpVector.cxx
Read_Input.obj : Read_Input.cxx
symmtry.obj : symmtry.cxx
Tb_Window.obj : Tb_Window.cxx
